### Method

# Gcr Certificate get_fingerprint_hex

#### Declaration [src]

    gchar*
    gcr_certificate_get_fingerprint_hex (
      GcrCertificate* self,
      GChecksumType type
    )

#### Description [src]

Calculate the fingerprint for this certificate, and return it as a hex string.

The caller should free the returned data using `g_free()` when it is no longer required.

#### Parameters

`type`

  Type: `GChecksumType`

  The type of algorithm for the fingerprint.

#### Return value

Type: `gchar*`

An allocated hex string which contains the fingerprint.

The caller of the method takes ownership of the returned data, and is responsible for freeing it.
The return value can be `NULL`.
The value is a NUL terminated UTF-8 string.